Bug 493501 - hp-setup fails looking for Qt4 support
hp-setup fails looking for Qt4 support
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-01 20:23 EDT by Gerry Tool
Modified: 2009-04-02 08:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-02 05:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2009-04-01 20:23:39 EDT
Description of problem: When running hp-setup, get error message about Qt4 support.

Version-Release number of selected component (if applicable): 3.9.2

How reproducible: Always

Steps to Reproduce:
1.At CLI, try to run hp-setup as root.
Actual results: Error
[root@f11beta ~]# hp-setup

HP Linux Imaging and Printing System (ver. 3.9.2)
Printer/Fax Setup Utility ver. 8.0

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: Unable to load Qt4 support. Is it installed?

Expected results: Program should run and create HP app for controlling device.

Additional info: Printer recognized by CUPS, scanner recognized by SANE, but no control panel for accessing device is available.
Comment 1 Tim Waugh 2009-04-02 05:06:39 EDT
You need to either run 'hp-setup -i', or install hplip-gui.
Comment 2 Gerry Tool 2009-04-02 08:26:02 EDT
Thanks, Tim.  I chose to install hplip-gui and all is well.

Note You need to log in before you can comment on or make changes to this bug.